Zum Hauptinhalt springen

Gets the Wallet of the Customer

GET/v2/customers/{customerId}/wallet
API-Version
v2
Request-Methode
GET
Operation-ID
customer-get-wallet

Request​

  • customerIdstringrequired
    Beispiel:"edefeee4-e8e9-4e2d-ab95-9a2eb6104cfb"

Responses​

Format
application/json
Beschreibung

The Wallet of the Customer

  • customerIdstringrequired
  • pointsnumberrequired
  • recommendationCodestring
  • walletIdstringrequired
Content-Type: application/json

{
"customerId": "edefeee4-e8e9-4e2d-ab95-9a2eb6104cfb",
"points": 10,
"recommendationCode": "m-123456",
"walletId": "32485364-7500-4591-b5cb-4e25e4bd1f30"
}
{
"properties": {
"customerId": {
"example": "edefeee4-e8e9-4e2d-ab95-9a2eb6104cfb",
"type": "string"
},
"points": {
"example": 10,
"type": "number"
},
"recommendationCode": {
"example": "m-123456",
"type": "string"
},
"walletId": {
"example": "32485364-7500-4591-b5cb-4e25e4bd1f30",
"type": "string"
}
},
"required": [
"customerId",
"walletId",
"points"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/customers/string/wallet
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.customer.getWallet({
"customerId": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Customer\GetWallet\GetWalletRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new GetWalletRequest(
customerId: "string"
));
$response = $client->customer()->getWallet($request);

var_dump($response->getBody();

Auf dieser Seite